summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@gnutls.org>2013-11-10 18:56:44 +0100
committerNikos Mavrogiannopoulos <nmav@gnutls.org>2013-11-10 18:56:44 +0100
commit3ff4a1e441ae57c2be15065dee823a2dd70cab14 (patch)
treec97e1e5638f407caee206ede6f1cff8de2c7be1c /tests
parent552f3afae72eec15817eb7862148f6fc20fee490 (diff)
downloadgnutls-3ff4a1e441ae57c2be15065dee823a2dd70cab14.tar.gz
do not run on clippled versions of openssl
Diffstat (limited to 'tests')
-rwxr-xr-xtests/suite/testcompat6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/suite/testcompat b/tests/suite/testcompat
index f299489683..ea3d5d2cdc 100755
--- a/tests/suite/testcompat
+++ b/tests/suite/testcompat
@@ -25,6 +25,12 @@ if ! test -x /usr/bin/openssl;then
exit 77
fi
+/usr/bin/openssl version|grep fips >/dev/null 2>&1
+if test $? = 0;then
+ echo "You need the full openssl to run this test (fips is not enough)"
+ exit 77
+fi
+
# Check for datefudge
TSTAMP=`datefudge "2006-09-23 00:00 UTC" date -u +%s`
if test "$TSTAMP" != "1158969600"; then